Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class ToggleButton

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Clickable
              org.eclipse.draw2d.Toggle
                  org.eclipse.draw2d.ToggleButton

All Implemented Interfaces:
  IFigure

    public class ToggleButton

extends Toggle

A Toggle that appears like a 3-dimensional button.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`protected Label` `label` This ToggleButton's Label

Fields inherited from class org.eclipse.draw2d.Clickable
`DEFAULT_FIRING, MAX_FLAG, REPEAT_FIRING, STYLE_BUTTON, STYLE_TOGGLE`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ToggleButton()` Constructs a new ToggleButton with no initial contents.
`ToggleButton(IFigure contents)` Constructs a ToggleButton with the passed IFigure as its contents.
`ToggleButton(String text)` Constructs a ToggleButton with the passed string as its text.
`ToggleButton(String text, Image normalIcon)` Constructs a ToggleButton with a Label containing the passed text and icon.

Method Summary
`protected void` `fillCheckeredRectangle(Graphics graphics)` Draws a checkered pattern to emulate a toggle button that is in the selected state.
`protected void` `paintFigure(Graphics graphics)` Paints this Figure's primary representation, or background.

Methods inherited from class org.eclipse.draw2d.Clickable

`addActionListener, addChangeListener, createDefaultModel, createEventHandler, createModelObserver, doClick, fireActionPerformed, fireStateChanged, getModel, hookEventHandler, init, isRolloverEnabled, isSelected, isStyle, paintBorder, paintClientArea, removeActionListener, removeChangeListener, setContents, setEnabled, setEventHandler, setFiringMethod, setModel, setRolloverEnabled, setSelected, setStyle, unhookEventHandler`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintChildren, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    protected Label label

  This ToggleButton's Label

Constructor Detail

### ToggleButton

    public ToggleButton()

  Constructs a new ToggleButton with no initial contents.

### ToggleButton

    public ToggleButton(IFigure contents)

  Constructs a ToggleButton with the passed IFigure as its contents.

  Parameters:
    `contents` - the contents of the toggle button
  Since:
    2.0

### ToggleButton

    public ToggleButton(String text)

  Constructs a ToggleButton with the passed string as its text.

  Parameters:
    `text` - the text to be displayed on the button
  Since:
    2.0

### ToggleButton

    public ToggleButton(String text,
                        Image normalIcon)

  Constructs a ToggleButton with a Label containing the passed text and icon.

  Parameters:
    `text` - the text
    `normalIcon` - the icon
  Since:
    2.0

Method Detail

### paintFigure

    protected void paintFigure(Graphics graphics)

  Description copied from class: `Figure`
  Paints this Figure's primary representation, or background. Changes made to the graphics to the graphics current state will not affect the subsequent calls to `Figure.paintClientArea(Graphics)` and `Figure.paintBorder(Graphics)`. Furthermore, it is safe to call `graphics.restoreState()` within this method, and doing so will restore the graphics to its original state upon entry.

  Overrides:
    `paintFigure` in class `Figure`
  Parameters:
    `graphics` - The Graphics used to paint
  See Also:
    `Figure.paintFigure(Graphics)`

### fillCheckeredRectangle

    protected void fillCheckeredRectangle(Graphics graphics)

  Draws a checkered pattern to emulate a toggle button that is in the selected state.

  Parameters:
    `graphics` - The Graphics object used to paint

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.